/* ************************************************************************** */
/*                                                                            */
/*                                                        :::      ::::::::   */
/*   ft_sqrt.c                                          :+:      :+:    :+:   */
/*                                                    +:+ +:+         +:+     */
/*   By: loic <marvin@42.fr>                        +#+  +:+       +#+        */
/*                                                +#+#+#+#+#+   +#+           */
/*   Created: 2019/01/07 21:59:41 by loic              #+#    #+#             */
/*   Updated: 2019/01/07 22:20:28 by loic             ###   ########.fr       */
/*                                                                            */
/* ************************************************************************** */

int				ft_sqrt(int nb)
{
	int	i;

	i = 1;
	if (nb <= 0)
		return (0);
	while (i <= 46342)
	{
		if ((i * i) == nb)
			return (i);
		i++;
	}
	return (0);
}
